import {userDetail} from "../requests/user";
import {formatBirthday, formatTime} from "./index";
import utils from "./index";
import user_store from '../store/index'


//刷新用户信息
export function reload_userinfo($this) {
  userDetail().then((res) => {
    let $data = res.data;
    if ($data.code != 0) {
      do_logout($this)
    }
    try {
      $this.userinfo = $data.data;
      $this.userinfo.birthday = formatBirthday($this.userinfo.birthday)
      $this.userinfo['validity_time'] = formatTime($this.userinfo['validity_time'])
      $this.userinfo['level_name'] = utils.get_level_name($this.userinfo['level'])
      $this.invite_code = wx.getStorageSync('code') ? wx.getStorageSync('code') : $this.userinfo['invite_id']
      user_store.setters.set_userinfo($this.userinfo)
    } catch (e) {
      do_logout($this)
    }
  })
}

function do_logout($this) {
  wx.clearStorageSync()
  $this.is_login = false
  wx.showToast({
    title: "用户信息过期,请重新登录",
    icon: 'none',
    mask: true,
    success() {
      mpvue.navigateTo({
        url: "/pages/index/main"
      })
    }
  })
}
